# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.040.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker;

use File::ShareDir::Install;
$File::ShareDir::Install::INCLUDE_DOTFILES = 1;
$File::ShareDir::Install::INCLUDE_DOTDIRS = 1;
install_share module => "Dist::Zilla::MintingProfile::Author::BBYRD", "profiles";


my %WriteMakefileArgs = (
  "ABSTRACT" => "DZIL Author Bundle for BBYRD",
  "AUTHOR" => "Brendan Byrd <BBYRD\@CPAN.org>",
  "CONFIGURE_REQUIRES" => {
    "File::ShareDir::Install" => "0.06"
  },
  "DISTNAME" => "Dist-Zilla-PluginBundle-Author-BBYRD",
  "LICENSE" => "artistic_2",
  "MIN_PERL_VERSION" => "5.010001",
  "NAME" => "Dist::Zilla::PluginBundle::Author::BBYRD",
  "PREREQ_PM" => {
    "Dist::Zilla" => "5.040",
    "Dist::Zilla::Plugin::Authority" => "1.009",
    "Dist::Zilla::Plugin::ChangelogFromGit::CPAN::Changes" => "0.108",
    "Dist::Zilla::Plugin::CheckPrereqsIndexed" => "0.016",
    "Dist::Zilla::Plugin::Clean" => "0.07",
    "Dist::Zilla::Plugin::ContributorsFromGit" => "0.017",
    "Dist::Zilla::Plugin::CopyFilesFromBuild" => "0.151680",
    "Dist::Zilla::Plugin::Git" => "2.036",
    "Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch" => "0.013",
    "Dist::Zilla::Plugin::GitHub::Update" => "0.41",
    "Dist::Zilla::Plugin::GithubMeta" => "0.54",
    "Dist::Zilla::Plugin::InstallGuide" => "1.200006",
    "Dist::Zilla::Plugin::InstallRelease" => "0.008",
    "Dist::Zilla::Plugin::MetaProvides::Package" => "2.003001",
    "Dist::Zilla::Plugin::MojibakeTests" => "0.8",
    "Dist::Zilla::Plugin::OurPkgVersion" => "0.06",
    "Dist::Zilla::Plugin::PodWeaver" => "4.006",
    "Dist::Zilla::Plugin::ReadmeAnyFromPod" => "0.150250",
    "Dist::Zilla::Plugin::ReportPhase" => 0,
    "Dist::Zilla::Plugin::RunExtraTests" => "0.028",
    "Dist::Zilla::Plugin::Test::CPAN::Changes" => "0.009",
    "Dist::Zilla::Plugin::Test::CPAN::Meta::JSON" => "0.004",
    "Dist::Zilla::Plugin::Test::CheckDeps" => "0.013",
    "Dist::Zilla::Plugin::Test::CheckManifest" => "0.04",
    "Dist::Zilla::Plugin::Test::Compile" => "2.054",
    "Dist::Zilla::Plugin::Test::DistManifest" => "2.000005",
    "Dist::Zilla::Plugin::Test::EOL" => "0.18",
    "Dist::Zilla::Plugin::Test::MinimumVersion" => "2.000006",
    "Dist::Zilla::Plugin::Test::NoTabs" => "0.15",
    "Dist::Zilla::Plugin::Test::Portability" => "2.000006",
    "Dist::Zilla::Plugin::Test::ReportPrereqs" => "0.021",
    "Dist::Zilla::Plugin::Test::UnusedVars" => "2.000007",
    "Dist::Zilla::Plugin::Travis::TestRelease" => "1.15",
    "Dist::Zilla::Plugin::TravisYML" => "1.15",
    "Dist::Zilla::PluginBundle::Git" => "2.036",
    "Dist::Zilla::PluginBundle::Prereqs" => "0.93",
    "Dist::Zilla::PluginBundle::TestingMania" => "0.25",
    "Dist::Zilla::Role::BundleDeps" => "0.002002",
    "Dist::Zilla::Role::PluginBundle::Merged" => "1.00",
    "Dist::Zilla::Role::PluginBundle::PluginRemover" => "0.103",
    "Moose" => "2.1603",
    "Pod::Coverage::TrustPod" => "0.100003",
    "Pod::Elemental::Transformer::List" => "0.101620",
    "Pod::Weaver" => "4.012",
    "Pod::Weaver::Plugin::WikiDoc" => "0.093004",
    "Pod::Weaver::Section::Availability" => "1.20",
    "Pod::Weaver::Section::Contributors" => "0.009",
    "Pod::Weaver::Section::Support" => "1.001",
    "Test::CPAN::Meta::JSON" => "0.16",
    "sanity" => "1.03"
  },
  "TEST_REQUIRES" => {
    "Test::CheckDeps" => "0.010",
    "Test::More" => "0.94"
  },
  "VERSION" => "1.06",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Dist::Zilla" => "5.040",
  "Dist::Zilla::Plugin::Authority" => "1.009",
  "Dist::Zilla::Plugin::ChangelogFromGit::CPAN::Changes" => "0.108",
  "Dist::Zilla::Plugin::CheckPrereqsIndexed" => "0.016",
  "Dist::Zilla::Plugin::Clean" => "0.07",
  "Dist::Zilla::Plugin::ContributorsFromGit" => "0.017",
  "Dist::Zilla::Plugin::CopyFilesFromBuild" => "0.151680",
  "Dist::Zilla::Plugin::Git" => "2.036",
  "Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch" => "0.013",
  "Dist::Zilla::Plugin::GitHub::Update" => "0.41",
  "Dist::Zilla::Plugin::GithubMeta" => "0.54",
  "Dist::Zilla::Plugin::InstallGuide" => "1.200006",
  "Dist::Zilla::Plugin::InstallRelease" => "0.008",
  "Dist::Zilla::Plugin::MetaProvides::Package" => "2.003001",
  "Dist::Zilla::Plugin::MojibakeTests" => "0.8",
  "Dist::Zilla::Plugin::OurPkgVersion" => "0.06",
  "Dist::Zilla::Plugin::PodWeaver" => "4.006",
  "Dist::Zilla::Plugin::ReadmeAnyFromPod" => "0.150250",
  "Dist::Zilla::Plugin::ReportPhase" => 0,
  "Dist::Zilla::Plugin::RunExtraTests" => "0.028",
  "Dist::Zilla::Plugin::Test::CPAN::Changes" => "0.009",
  "Dist::Zilla::Plugin::Test::CPAN::Meta::JSON" => "0.004",
  "Dist::Zilla::Plugin::Test::CheckDeps" => "0.013",
  "Dist::Zilla::Plugin::Test::CheckManifest" => "0.04",
  "Dist::Zilla::Plugin::Test::Compile" => "2.054",
  "Dist::Zilla::Plugin::Test::DistManifest" => "2.000005",
  "Dist::Zilla::Plugin::Test::EOL" => "0.18",
  "Dist::Zilla::Plugin::Test::MinimumVersion" => "2.000006",
  "Dist::Zilla::Plugin::Test::NoTabs" => "0.15",
  "Dist::Zilla::Plugin::Test::Portability" => "2.000006",
  "Dist::Zilla::Plugin::Test::ReportPrereqs" => "0.021",
  "Dist::Zilla::Plugin::Test::UnusedVars" => "2.000007",
  "Dist::Zilla::Plugin::Travis::TestRelease" => "1.15",
  "Dist::Zilla::Plugin::TravisYML" => "1.15",
  "Dist::Zilla::PluginBundle::Git" => "2.036",
  "Dist::Zilla::PluginBundle::Prereqs" => "0.93",
  "Dist::Zilla::PluginBundle::TestingMania" => "0.25",
  "Dist::Zilla::Role::BundleDeps" => "0.002002",
  "Dist::Zilla::Role::PluginBundle::Merged" => "1.00",
  "Dist::Zilla::Role::PluginBundle::PluginRemover" => "0.103",
  "Moose" => "2.1603",
  "Pod::Coverage::TrustPod" => "0.100003",
  "Pod::Elemental::Transformer::List" => "0.101620",
  "Pod::Weaver" => "4.012",
  "Pod::Weaver::Plugin::WikiDoc" => "0.093004",
  "Pod::Weaver::Section::Availability" => "1.20",
  "Pod::Weaver::Section::Contributors" => "0.009",
  "Pod::Weaver::Section::Support" => "1.001",
  "Test::CPAN::Meta::JSON" => "0.16",
  "Test::CheckDeps" => "0.010",
  "Test::More" => "0.94",
  "sanity" => "1.03"
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

{
package
MY;
use File::ShareDir::Install qw(postamble);
}